## Quartz (CGFont) Fonts

Quartz (CGFont) Fonts — Font support via CGFont on OS X

## Functions

cairo_font_face_t * | cairo_quartz_font_face_create_for_cgfont ()
cairo_font_face_t * | cairo_quartz_font_face_create_for_atsu_font_id ()

## Types and Values

#define | CAIRO_HAS_QUARTZ_FONT

## Description

The Quartz font backend is primarily used to render text on Apple MacOS X systems. The CGFont API is used for the internal implementation of the font backend methods.

## Functions

### cairo_quartz_font_face_create_for_cgfont ()

    cairo_font_face_t *
    cairo_quartz_font_face_create_for_cgfont
                                   (CGFontRef font);

Creates a new font for the Quartz font backend based on a CGFontRef. This font can then be used with `cairo_set_font_face()` or `cairo_scaled_font_create()`.

#### Parameters

font | a CGFontRef obtained through a method external to cairo. |

#### Returns

a newly created cairo_font_face_t. Free with `cairo_font_face_destroy()` when you are done using it.

Since: 1.6

### cairo_quartz_font_face_create_for_atsu_font_id ()

    cairo_font_face_t *
    cairo_quartz_font_face_create_for_atsu_font_id
                                   (ATSUFontID font_id);

Creates a new font for the Quartz font backend based on an ATSUFontID. This font can then be used with `cairo_set_font_face()` or `cairo_scaled_font_create()`.

#### Parameters

font_id | an ATSUFontID for the font. |

#### Returns

a newly created cairo_font_face_t. Free with `cairo_font_face_destroy()` when you are done using it.

Since: 1.6

## Types and Values

### CAIRO_HAS_QUARTZ_FONT

    #define CAIRO_HAS_QUARTZ_FONT 1

Defined if the Quartz font backend is available. This macro can be used to conditionally compile backend-specific code.

Since: 1.6

## See Also

cairo_font_face_t